import { SubsidiarySegment } from './../subsidiarySegment/subsidiaryXsegment.model';
import { Role } from '../roles/roles.model';
import { Subsidiary } from '../subsidiaries/subsidiaries.model';
import { DefaultResponse } from '../response/response.model';
export interface Credential {
    UserName: string;
    Password: string;
}
export interface User {
    userName: string;
    name: string;
    roles: Role[];
    subsidiaries: Subsidiary[];
    access_token: string;
    refresh_token: string;
    subsidiarySegment: SubsidiarySegment[];
}
export interface LoginResponse extends DefaultResponse {
    userName: string;
    name: string;
    roles: Role[];
    subsidiaries: Subsidiary[];
    subsidiarySegment: SubsidiarySegment[];
    access_token: string;
    refresh_token: string;
}
export interface ChangePasswordRequest {
    oldPassword: string;
    newPassword: string;
    confirmPassword: string;
}
export interface ChangeSubsidiarySegmentRequest {
    subsidiaryId: string;
    segmentId: string;
}
export interface ForgotPasswordRequest {
    linkRoot: string;
    userName: string;
}
export interface ResetPasswordRequest {
    userId: number;
    password: string;
    code: string;
}
