import { HttpClient } from '@angular/common/http';
import { JwtHelperService } from '@auth0/angular-jwt';
import { Observable } from 'rxjs';
import { User, Credential, ChangePasswordRequest, ForgotPasswordRequest, ResetPasswordRequest } from './auth.model';
import { Host } from '../api/host';
import { AuthState } from './state/auth.reducer';
import { EnvService } from '../env/env.service';
import { DefaultResponse } from '../response/response.model';
export declare class AuthService {
    private http;
    private apiHost;
    private jwtHelper;
    private accessRoles;
    constructor(http: HttpClient, apiHost: Host, jwtHelper: JwtHelperService, envService: EnvService);
    login(credential: Credential): Observable<User>;
    refreshToken(user: User): Observable<User>;
    changePassword(request: ChangePasswordRequest): Observable<DefaultResponse>;
    forgotPassword(request: ForgotPasswordRequest): Observable<DefaultResponse>;
    resetPassword(request: ResetPasswordRequest): Observable<DefaultResponse>;
    logout(): Observable<boolean>;
    getState(): Observable<AuthState>;
    isTokenExpired(access_token: string): boolean;
    persistState(state: AuthState): Observable<boolean>;
    private hasAcessRole;
    private stateKey;
}
