import { Store } from '@ngrx/store';
import { Router } from '@angular/router';
import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { ToastrService } from 'ngx-toastr';
import { Observable } from 'rxjs';
import { AuthService } from '../auth.service';
import { AuthActions } from './auth.actions';
import { AuthState } from './auth.reducer';
interface AppState {
    auth: AuthState;
}
export declare class AuthEffects {
    private store;
    private actions$;
    private dataPersistence;
    private auth;
    private router;
    private toastr;
    login$: Observable<any>;
    refreshToken$: Observable<any>;
    logout$: Observable<any>;
    loggedOut$: Observable<any>;
    loggedIn$: Observable<any>;
    changeCurrentSubsidiary$: Observable<any>;
    changeCurrentSubsidiarySegment$: Observable<any>;
    getState$: Observable<any>;
    persistState$: Observable<any>;
    changePassword$: Observable<any>;
    passwordChanged$: Observable<any>;
    passwordChangeFailed$: Observable<any>;
    requestPasswordReset$: Observable<any>;
    passwordResetRequested$: Observable<any>;
    passwordResetRequestFailed$: Observable<any>;
    resetPassword$: Observable<any>;
    passwordReseted$: Observable<any>;
    passwordResetFailed$: Observable<any>;
    constructor(store: Store<AuthState>, actions$: Actions, dataPersistence: DataPersistence<AppState>, auth: AuthService, router: Router, toastr: ToastrService);
    ofType(...types: string[]): Observable<AuthActions>;
}
export {};
