import { AuthActions } from './auth.actions';
import { User, ChangeSubsidiarySegmentRequest } from '../auth.model';
import { Subsidiary } from '../../subsidiaries/subsidiaries.model';
import { SubsidiarySegment } from '../../subsidiarySegment/subsidiaryXsegment.model';
export interface AuthState {
    loggedIn: boolean | null;
    persisted: boolean;
    user: User | null;
    currentSubsidiary: Subsidiary | null;
    currentSubsidiarySegment: SubsidiarySegment | null;
}
export declare const initialState: AuthState;
export declare const selectAuthUser: (state: AuthState) => User;
export declare const selectUserSubsidiary: (id: string) => (state: AuthState) => Subsidiary;
export declare const selectUserSubsidiarySegment: (requestIds: ChangeSubsidiarySegmentRequest) => (state: AuthState) => SubsidiarySegment;
export declare const selectPreferedSubsidiary: (user: User) => (state: AuthState) => Subsidiary;
export declare const selectPreferedSubsidiarySegment: (user: User) => (state: AuthState) => SubsidiarySegment;
export declare function authReducer(state: AuthState, action: AuthActions): AuthState;
export declare const selectAuthState: import("@ngrx/store/src/selector").MemoizedSelector<object, AuthState>;
