import { EntityState } from '@ngrx/entity';
import { Observable } from 'rxjs';
import { Pagination, Filters, FetchPaginationDataResponse, PaginationMetadata } from '../../pagination/pagination.model';
import { PaginationActions } from './pagination.actions';
import { FetchPageDataResponse } from '../../response/response.model';
export interface PaginationState extends EntityState<Pagination> {
}
export declare const getFiltersHash: (filters: Filters) => string;
export declare const getLastPageLoaded: (pagination: Pagination) => number;
export declare const getNextPage: (pagination: Pagination) => number;
export declare const resetPagination: (pagination: Pagination) => Pagination;
export declare const nextPage: (pagination: Pagination) => Pagination;
export declare const pageLoaded: (state: Pagination, loadedPagination: Pagination) => Pagination;
export declare const takePagination: <T>() => (source: Observable<[T[], PaginationMetadata]>) => Observable<T[]>;
export declare const isInitialPagination: <T>() => (source: Observable<Pagination>) => Observable<T>;
export declare const filterPaginationScrollPosition: <T>(index: number) => (source: Observable<Pagination>) => Observable<T>;
export declare const selectPagination: (filters: Filters) => (state: PaginationState) => Pagination;
export declare function paginationReducer(state?: PaginationState, action?: PaginationActions | null): PaginationState;
export declare const paginationResponseFromPageResponse: (pageResponse: FetchPageDataResponse<any>, filters: Filters) => FetchPaginationDataResponse<any>;
