import { DefaultResponse } from '../response/response.model';
export interface Role {
    name: string;
    description: string;
}
export interface RoleGroup {
    id: number;
    name: string;
    description: string;
    systemId: number;
    roles: Role[];
}
export declare enum UpdateUserRoleActionsTypes {
    inserted = "inserted",
    deleted = "deleted",
    none = "none"
}
export declare type UpdateUserRoleActions = UpdateUserRoleActionsTypes.inserted | UpdateUserRoleActionsTypes.deleted | UpdateUserRoleActionsTypes.none;
export interface UserRoleUpdatedResponse extends DefaultResponse {
    role: string;
    email: string;
    action: UpdateUserRoleActions;
}
export interface FetchRoleGroupResponse extends DefaultResponse {
    groups: RoleGroup[];
}
export interface UpdateUserRoleRequest {
    insertUpdate: boolean;
    email: string;
    role: string;
}
export declare class AddUserRoleRequest implements UpdateUserRoleRequest {
    email: string;
    role: string;
    readonly insertUpdate = true;
    constructor(email: string, role: string);
}
export declare class RemoveUserRoleRequest implements UpdateUserRoleRequest {
    email: string;
    role: string;
    readonly insertUpdate = false;
    constructor(email: string, role: string);
}
