import { Action } from '@ngrx/store';
import { FetchPageDataResponse } from '../../response/response.model';
import { UpdateUserRoleRequest, Role, RoleGroup } from '../roles.model';
export declare enum RolesActionTypes {
    LoadPage = "[Roles] Load Page",
    FetchPageData = "[Roles] Fetch Page Data",
    PageDataFetched = "[Roles] Page Data Fetched",
    PageDataFetchFailed = "[Roles] Page Data Fetch Failed",
    UpdateUserRoles = "[Roles] Update User Roles",
    FetchRoleGroupsBySistema = "[Roles] Fetch Roles Group by Sistema",
    FetchRoleGroupsBySistemaFail = "[Roles] Fetch Roles Group by Sistema Fail",
    RoleGroupsFetched = "[Roles] Roles Group Fetched"
}
export declare class LoadPage implements Action {
    readonly type = RolesActionTypes.LoadPage;
}
export declare class FetchPageData implements Action {
    payload: number;
    readonly type = RolesActionTypes.FetchPageData;
    constructor(payload: number);
}
export declare class PageDataFetched implements Action {
    payload: FetchPageDataResponse<Role>;
    readonly type = RolesActionTypes.PageDataFetched;
    constructor(payload: FetchPageDataResponse<Role>);
}
export declare class PageDataFetchFailed implements Action {
    payload: number;
    readonly type = RolesActionTypes.PageDataFetchFailed;
    constructor(payload: number);
}
export declare class UpdateUserRoles implements Action {
    payload: UpdateUserRoleRequest[];
    readonly type = RolesActionTypes.UpdateUserRoles;
    constructor(payload: UpdateUserRoleRequest[]);
}
export declare class FetchRoleGroupsBySistema implements Action {
    payload: string;
    readonly type = RolesActionTypes.FetchRoleGroupsBySistema;
    constructor(payload: string);
}
export declare class RoleGroupsFetched implements Action {
    payload: RoleGroup[];
    readonly type = RolesActionTypes.RoleGroupsFetched;
    constructor(payload: RoleGroup[]);
}
export declare class FetchRoleGroupsBySistemaFail implements Action {
    payload: string;
    readonly type = RolesActionTypes.FetchRoleGroupsBySistemaFail;
    constructor(payload: string);
}
export declare type RolesActions = LoadPage | FetchPageData | PageDataFetched | PageDataFetchFailed | UpdateUserRoles | FetchRoleGroupsBySistema | RoleGroupsFetched | FetchRoleGroupsBySistemaFail;
