import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { RolesState } from './roles.reducer';
import { Role, RoleGroup } from '../roles.model';
import { Usuario } from '../../usuarios/usuario.model';
import { Sistema } from '../../sistemas/sistemas.model';
export declare class RolesFacade {
    private store;
    roles$: Observable<Role[]>;
    groups$: Observable<RoleGroup[]>;
    constructor(store: Store<RolesState>);
    selectRoles(): Observable<Role[]>;
    selectRoleGroups(): Observable<RoleGroup[]>;
    selectRolesBySistema(sistema: Sistema): Observable<RoleGroup[]>;
    loadPage(): void;
    loadRoleGroupsBySistema(systemName: string): void;
    insertUserRoles(usuario: Usuario, rolesNames: string[]): void;
    removeUserRoles(usuario: Usuario, rolesNames: string[]): void;
}
