import { EntityState } from '@ngrx/entity';
import { Pagination } from '../../pagination/pagination.model';
import { RolesActions } from './roles.actions';
import { Role, RoleGroup } from '../roles.model';
export interface RolesState extends Pagination, EntityState<Role> {
    groups: EntityState<RoleGroup>;
}
export declare function rolesReducer(state: RolesState, action: RolesActions): RolesState;
export declare const selectRolesIds: (state: EntityState<Role>) => string[] | number[];
export declare const selectRolesEntities: (state: EntityState<Role>) => import("@ngrx/entity/src/models").Dictionary<Role>;
export declare const selectAllRoles: (state: EntityState<Role>) => Role[];
export declare const selectRoleGroupsIds: (state: EntityState<RoleGroup>) => string[] | number[];
export declare const selectRoleGroupsEntities: (state: EntityState<RoleGroup>) => import("@ngrx/entity/src/models").Dictionary<RoleGroup>;
export declare const selectAllRoleGroups: (state: EntityState<RoleGroup>) => RoleGroup[];
export declare const selectRoleGroupsState: import("@ngrx/store/src/selector").MemoizedSelector<object, EntityState<RoleGroup>>;
export declare const selectRole: (name: string) => (state: RolesState) => Role;
export declare const selectRoleGroupsBySistema: (id: number) => (state: RolesState) => RoleGroup[];
export declare const hasRole: (roleName: string | string[], roles: Role[]) => boolean;
export declare const selectRolesState: import("@ngrx/store/src/selector").MemoizedSelector<object, RolesState>;
