import { Action } from '@ngrx/store';
import { UpdateUserSubsidiaryRequest, Subsidiary } from '../subsidiaries.model';
import { FetchDataResponse } from '../../response/response.model';
export declare enum SubsidiariesActionTypes {
    FetchAllData = "[Subsidiaries] Fetch All Data",
    DataFetched = "[Subsidiaries] Data Fetched",
    DataFetchFailed = "[Subsidiaries] Data Fetch Failed",
    UpdateUserSubsidiaries = "[Subsidiaries] Update User Subsidiaries"
}
export declare class FetchAllData implements Action {
    readonly type = SubsidiariesActionTypes.FetchAllData;
}
export declare class DataFetched implements Action {
    payload: FetchDataResponse<Subsidiary>;
    readonly type = SubsidiariesActionTypes.DataFetched;
    constructor(payload: FetchDataResponse<Subsidiary>);
}
export declare class DataFetchFailed implements Action {
    readonly type = SubsidiariesActionTypes.DataFetchFailed;
}
export declare class UpdateUserSubsidiaries implements Action {
    payload: UpdateUserSubsidiaryRequest[];
    readonly type = SubsidiariesActionTypes.UpdateUserSubsidiaries;
    constructor(payload: UpdateUserSubsidiaryRequest[]);
}
export declare type SubsidiariesActions = FetchAllData | DataFetched | DataFetchFailed | UpdateUserSubsidiaries;
