import { DefaultResponse } from '../response/response.model';
import { Segment } from '../Segments/Segment.model';
export interface Subsidiary {
    id: string;
    cnpj: string;
    name: string;
    fantasyName: string;
    state?: string;
    regional?: string;
    companyId?: number;
    subsidiary?: number;
    segment?: Segment;
}
export declare enum UpdateUserSubsidiaryActionsTypes {
    inserted = "inserted",
    deleted = "deleted",
    none = "none"
}
export declare type UpdateUserSubsidiaryActions = UpdateUserSubsidiaryActionsTypes.inserted | UpdateUserSubsidiaryActionsTypes.deleted | UpdateUserSubsidiaryActionsTypes.none;
export interface UserSubsidiaryUpdatedResponse extends DefaultResponse {
    segmentId: string;
    email: string;
    action: UpdateUserSubsidiaryActions;
}
export interface UpdateUserSubsidiaryRequest {
    insertUpdate: boolean;
    username: string;
    segmentId: string;
}
export declare class AddUserSubsidiaryRequest implements UpdateUserSubsidiaryRequest {
    username: string;
    segmentId: string;
    readonly insertUpdate = true;
    constructor(username: string, segmentId: string);
}
export declare class RemoveUserSubsidiaryRequest implements UpdateUserSubsidiaryRequest {
    username: string;
    segmentId: string;
    readonly insertUpdate = false;
    constructor(username: string, segmentId: string);
}
