import { Action } from '@ngrx/store';
import { FetchPageDataResponse } from '../../response/response.model';
import { CreateUsuarioRequestData, Usuario, UsuarioRoleInsertData, UsuarioRoleRemoveData, UsuarioSubsidiaryInsertData, UsuarioSubsidiaryRemoveData, UpdateUsuarioHostFirewallRequest } from '../usuario.model';
export declare enum UsuariosActionTypes {
    LoadPage = "[Usuarios] Load Page",
    FetchPageData = "[Usuarios] Fetch Page Data",
    PageDataFetched = "[Usuarios] Page Data Fetched",
    PageDataFetchFailed = "[Usuarios] Page Data Fetch Failed",
    ResetPagination = "[Usuarios] Reset Pagination",
    SelectUsuario = "[Usuarios] Select Usuario",
    UpdateUsuarioState = "[Usuarios] Update Usuario State",
    FetchUsuarioData = "[Usuarios] Fetch Usuario Data",
    CreateUsuario = "[Usuarios] Create Usuario",
    UsuarioCreated = "[Usuarios] Usuario Created",
    UsuarioCreateFailed = "[Usuarios] Usuario Create Failed",
    ToggleAccessUsuario = "[Usuarios] Toggle Access Usuario",
    UsuarioRoleRemoved = "[Usuarios] Usuario Role removed",
    UsuarioRoleInserted = "[Usuarios] Usuario Role inserted",
    UsuarioSubsidiaryRemoved = "[Usuarios] Usuario Subsidiary removed",
    UsuarioSubsidiaryInserted = "[Usuarios] Usuario Subsidiary inserted",
    UpdateUsuarioHostFirewall = "[Usuarios] Update Usuario Host Firewall",
    UsuarioHostFirewallUpdated = "[Usuarios] Usuario Host Firewall Updated"
}
export declare class LoadPage implements Action {
    readonly type = UsuariosActionTypes.LoadPage;
}
export declare class FetchPageData implements Action {
    payload: number;
    readonly type = UsuariosActionTypes.FetchPageData;
    constructor(payload: number);
}
export declare class PageDataFetched implements Action {
    payload: FetchPageDataResponse<Usuario>;
    readonly type = UsuariosActionTypes.PageDataFetched;
    constructor(payload: FetchPageDataResponse<Usuario>);
}
export declare class PageDataFetchFailed implements Action {
    payload: number;
    readonly type = UsuariosActionTypes.PageDataFetchFailed;
    constructor(payload: number);
}
export declare class ResetPagination implements Action {
    readonly type = UsuariosActionTypes.ResetPagination;
}
export declare class SelectUsuario implements Action {
    payload: string;
    readonly type = UsuariosActionTypes.SelectUsuario;
    constructor(payload: string);
}
export declare class UpdateUsuarioState implements Action {
    payload: Usuario;
    readonly type = UsuariosActionTypes.UpdateUsuarioState;
    constructor(payload: Usuario);
}
export declare class FetchUsuarioData implements Action {
    payload: string;
    readonly type = UsuariosActionTypes.FetchUsuarioData;
    constructor(payload: string);
}
export declare class CreateUsuario implements Action {
    payload: CreateUsuarioRequestData;
    readonly type = UsuariosActionTypes.CreateUsuario;
    constructor(payload: CreateUsuarioRequestData);
}
export declare class UsuarioCreated implements Action {
    payload: Usuario;
    readonly type = UsuariosActionTypes.UsuarioCreated;
    constructor(payload: Usuario);
}
export declare class UsuarioCreateFailed implements Action {
    payload: string;
    readonly type = UsuariosActionTypes.UsuarioCreateFailed;
    constructor(payload: string);
}
export declare class ToggleUsuarioAcess implements Action {
    payload: Usuario;
    readonly type = UsuariosActionTypes.ToggleAccessUsuario;
    constructor(payload: Usuario);
}
export declare class UsuarioRoleInserted implements Action {
    payload: UsuarioRoleInsertData;
    readonly type = UsuariosActionTypes.UsuarioRoleInserted;
    constructor(payload: UsuarioRoleInsertData);
}
export declare class UsuarioRoleRemoved implements Action {
    payload: UsuarioRoleRemoveData;
    readonly type = UsuariosActionTypes.UsuarioRoleRemoved;
    constructor(payload: UsuarioRoleRemoveData);
}
export declare class UsuarioSubsidiaryInserted implements Action {
    payload: UsuarioSubsidiaryInsertData;
    readonly type = UsuariosActionTypes.UsuarioSubsidiaryInserted;
    constructor(payload: UsuarioSubsidiaryInsertData);
}
export declare class UsuarioSubsidiaryRemoved implements Action {
    payload: UsuarioSubsidiaryRemoveData;
    readonly type = UsuariosActionTypes.UsuarioSubsidiaryRemoved;
    constructor(payload: UsuarioSubsidiaryRemoveData);
}
export declare class UpdateUsuarioHostFirewall implements Action {
    payload: UpdateUsuarioHostFirewallRequest;
    readonly type = UsuariosActionTypes.UpdateUsuarioHostFirewall;
    constructor(payload: UpdateUsuarioHostFirewallRequest);
}
export declare class UsuarioHostFirewallUpdated implements Action {
    payload: UpdateUsuarioHostFirewallRequest;
    readonly type = UsuariosActionTypes.UsuarioHostFirewallUpdated;
    constructor(payload: UpdateUsuarioHostFirewallRequest);
}
export declare type UsuariosActions = LoadPage | FetchPageData | PageDataFetched | PageDataFetchFailed | ResetPagination | SelectUsuario | UpdateUsuarioState | FetchUsuarioData | CreateUsuario | UsuarioCreated | UsuarioCreateFailed | ToggleUsuarioAcess | UsuarioRoleInserted | UsuarioRoleRemoved | UsuarioSubsidiaryInserted | UsuarioSubsidiaryRemoved | UpdateUsuarioHostFirewall | UsuarioHostFirewallUpdated;
