import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { UsuariosState } from './usuarios.reducer';
import { Usuario, CreateUsuarioRequestData } from '../usuario.model';
import { PaginationMetadata } from '../../pagination/pagination.model';
export declare class UsuariosFacade {
    private store;
    usuarios$: Observable<Usuario[]>;
    pagination$: Observable<PaginationMetadata>;
    currentUsuario$: Observable<Usuario | null>;
    constructor(store: Store<UsuariosState>);
    selectUsuarios(): Observable<Usuario[]>;
    selectUser(userName: string): Observable<Usuario>;
    loadPage(): void;
    resetPagination(): void;
    selectCurrentUsuario(userName: string): void;
    fetchUsuarioData(userName: string): void;
    createUsuario(data: CreateUsuarioRequestData): void;
    toggleAccessUsuario(usuario: Usuario): void;
    updateUsuarioHostFirewall(usuario: Usuario, ips: string[]): void;
}
